%global _empty_manifest_terminate_build 0
Name:		python-python-gitlab
Version:	2.6.0
Release:	2
Summary:	Interact with GitLab API
License:	LGPLv3
URL:		https://github.com/python-gitlab/python-gitlab
Source0:	https://files.pythonhosted.org/packages/45/d0/30dfda2db3ce2c1a5eca71901638061d8ea2cb8ac40b742ff1f96ba9a3a8/python-gitlab-2.6.0.tar.gz
BuildArch:	noarch

Requires:	python3-requests
Requires:	python3-requests-toolbelt
Requires:	python3-argcomplete
Requires:	python3-PyYaml

%description
``python-gitlab`` is a Python package providing access to the GitLab server API.
It supports the v4 API of GitLab, and provides a CLI tool (``gitlab``).

%package -n python3-python-gitlab
Summary:	Interact with GitLab API
Provides:	python-python-gitlab
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-python-gitlab
``python-gitlab`` is a Python package providing access to the GitLab server API.
It supports the v4 API of GitLab, and provides a CLI tool (``gitlab``).

%package help
Summary:	Development documents and examples for python-gitlab
Provides:	python3-python-gitlab-doc
%description help
``python-gitlab`` is a Python package providing access to the GitLab server API.
It supports the v4 API of GitLab, and provides a CLI tool (``gitlab``).

%prep
%autosetup -n python-gitlab-2.6.0

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-python-gitlab -f filelist.lst
%dir %{python3_sitelib}/*
%dir %{python3_sitelib}/gitlab/__pycache__
%dir %{python3_sitelib}/gitlab/tests
%dir %{python3_sitelib}/gitlab/tests/__pycache__
%dir %{python3_sitelib}/gitlab/tests/objects
%dir %{python3_sitelib}/gitlab/tests/objects/__pycache__
%dir %{python3_sitelib}/gitlab/v4
%dir %{python3_sitelib}/gitlab/v4/__pycache__
%dir %{python3_sitelib}/gitlab/v4/objects
%dir %{python3_sitelib}/gitlab/v4/objects/__pycache__

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Oct 12 2021 caodongxia <caodongxia@huawei.com> - 2.6.0-2
- Delete pycache and tests and v4 directory when uninstalling

* Sat Feb 13 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
